net.sf.jasperreports.engine.fill

## Class JRVerticalFiller

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRBaseFiller
  - - net.sf.jasperreports.engine.fill.JRVerticalFiller

- All Implemented Interfaces:
    JRDefaultStyleProvider

      public class JRVerticalFiller
      extends JRBaseFiller

  Version:
    $Id: JRVerticalFiller.java 7037 2014-04-22 14:58:57Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRBaseFiller

      `JRBaseFiller.DefaultStyleListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EXCEPTION_MESSAGE_KEY_COLUMN_HEADER_OVERFLOW_INFINITE_LOOP`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRBaseFiller

      `background, bands, bookmarkHelper, bottomMargin, boundElements, calculator, columnCount, columnDirection, columnFooter, columnFooterOffsetY, columnHeader, columnHeaderOffsetY, columnIndex, columnSpacing, columnWidth, datasetMap, dateFormatCache, defaultStyle, detailSection, fillContext, fillElements, fillerId, formatFactory, groups, isCreatingNewPage, isFirstColumnBand, isFirstPageBand, isFloatColumnFooter, isLastPageFooter, isNewColumn, isNewGroup, isNewPage, isSummaryNewPage, isSummaryWithPageHeaderAndFooter, isTitleNewPage, jasperPrint, jasperReport, keepTogetherSavePoint, lastPageColumnFooterOffsetY, lastPageFooter, leftMargin, mainDataset, missingFillBand, missingFillSection, name, noData, numberFormatCache, offsetX, offsetY, orientation, pageFooter, pageHeader, pageHeight, pageWidth, parentElement, parentFiller, printOrder, printPage, printPageStretchHeight, reportTemplates, rightMargin, scriptlet, styles, subfillers, summary, templates, title, topMargin, virtualizationContext, virtualizationListener, whenNoDataType, whenResourceMissingType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRVerticalFiller(JasperReportsContext jasperReportsContext, JasperReport jasperReport)`
    `protected` | `JRVerticalFiller(JasperReportsContext jasperReportsContext, JasperReport jasperReport, DatasetExpressionEvaluator evaluator, JRFillSubreport parentElement)`
    `protected` | `JRVerticalFiller(JasperReportsContext jasperReportsContext, JasperReport jasperReport, JREvaluator evaluator, JRFillSubreport parentElement)`
    `protected` | `JRVerticalFiller(JasperReportsContext jasperReportsContext, JasperReport jasperReport, JRFillSubreport parentElement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillBand(JRPrintBand band)`
    `protected net.sf.jasperreports.engine.fill.SavePoint` | `fillColumnBand(JRFillBand band, byte evaluation)`
    `protected void` | `fillFixedBand(JRFillBand band, byte evaluation)`
    `protected void` | `fillPageBand(JRFillBand band, byte evaluation)`
    `protected void` | `fillReport()`
    `protected void` | `setPageHeight(int pageHeight)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRBaseFiller

      `addBoundElement, addBoundElement, addBoundElement, addDefaultStyleListener, addFillListener, addLastPageBookmarks, addPage, addPrintStyle, addVariableCalculationReq, advanceSavePoint, assignElementId, cancelFill, checkInterrupted, collectIncludedTemplates, collectStyles, collectStyles, collectStyles, collectTemplates, collectTemplateStyles, createReportTemplates, evaluateExpression, fill, fill, fill, getCurrentPage, getCurrentPageCount, getCurrentPageStretchHeight, getDateFormat, getDateFormat, getDefaultStyle, getExpressionEvaluator, getField, getFieldsMap, getFillContext, getFillerId, getFormatFactory, getGroup, getJasperPrint, getJasperReport, getJasperReportsContext, getLocale, getMainDataset, getMasterColumnCount, getMasterFiller, getNumberFormat, getParametersMap, getParameterValue, getParameterValuesMap, getPrintTransferPropertyPrefixes, getPropertiesUtil, getResourceBundle, getStyledTextParser, getTemplates, getTimeZone, getVariable, getVariablesMap, getVariableValue, getWhenResourceMissingType, hasBoundActions, hasMasterFormatFactory, hasMasterLocale, hasMasterTimeZone, initVirtualizationContext, isBandOverFlowAllowed, isInterrupted, isMasterReport, isPageFinal, isSubreport, isSubreportRunToBottom, loadStyles, lockVirtualizationContext, lookupExternalDefaultStyle, moveBoundActions, moveKeepTogetherSavePointContent, newPage, next, registerSubfiller, resolveBandBoundElements, resolveBoundElements, resolveColumnBoundElements, resolveGroupBoundElements, resolvePageBoundElements, resolveReportBoundElements, setBandOverFlowAllowed, setConnectionParameterValue, setDatasourceParameterValue, setDefaultStyle, setInterrupted, setJasperReportsContext, setParameter, setParameter, setParameters, setSubreportRunner, setVirtualPageSize, subreportPageFilled, suspendSubreportRunner, unlockVirtualizationContext, unregisterSubfiller, updateBookmark`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXCEPTION_MESSAGE_KEY_COLUMN_HEADER_OVERFLOW_INFINITE_LOOP

          public static final java.lang.String EXCEPTION_MESSAGE_KEY_COLUMN_HEADER_OVERFLOW_INFINITE_LOOP

  - ### Constructor Detail

    - #### JRVerticalFiller

          protected JRVerticalFiller(JasperReportsContext jasperReportsContext,
                          JasperReport jasperReport)
                              throws JRException

      Throws:
        `JRException`

    - #### JRVerticalFiller

          protected JRVerticalFiller(JasperReportsContext jasperReportsContext,
                          JasperReport jasperReport,
                          JRFillSubreport parentElement)
                              throws JRException

      Throws:
        `JRException`

    - #### JRVerticalFiller

          protected JRVerticalFiller(JasperReportsContext jasperReportsContext,
                          JasperReport jasperReport,
                          DatasetExpressionEvaluator evaluator,
                          JRFillSubreport parentElement)
                              throws JRException

      Throws:
        `JRException`

    - #### JRVerticalFiller

          protected JRVerticalFiller(JasperReportsContext jasperReportsContext,
                          JasperReport jasperReport,
                          JREvaluator evaluator,
                          JRFillSubreport parentElement)
                              throws JRException

      Throws:
        `JRException`

  - ### Method Detail

    - #### setPageHeight

          protected void setPageHeight(int pageHeight)

      Specified by:
        `setPageHeight` in class `JRBaseFiller`

    - #### fillReport

          protected void fillReport()
                             throws JRException

      Specified by:
        `fillReport` in class `JRBaseFiller`
      Throws:
        `JRException`

    - #### fillPageBand

          protected void fillPageBand(JRFillBand band,
                          byte evaluation)
                               throws JRException

      Throws:
        `JRException`

    - #### fillColumnBand

          protected net.sf.jasperreports.engine.fill.SavePoint fillColumnBand(JRFillBand band,
                                                                  byte evaluation)
                                                                       throws JRException

      Throws:
        `JRException`

    - #### fillFixedBand

          protected void fillFixedBand(JRFillBand band,
                           byte evaluation)
                                throws JRException

      Throws:
        `JRException`

    - #### fillBand

          protected void fillBand(JRPrintBand band)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com